
/*
 * Copyright (C) 2011 Archie L. Cobbs. All rights reserved.
 *
 * $Id: package-info.java 343 2012-04-24 21:16:11Z archie.cobbs $
 */

/**
 * <a href="http://www.springframework.org/">Spring</a> related classes.
 *
 * <p>
 * This package implements the <code>&lt;dellroad-stuff:sql&gt;</code> and <code>&lt;dellroad-stuff:sql-update&gt;</code>
 * custom Spring XML elements; these define beans of type {@link org.dellroad.stuff.schema.SQLCommandList SQLCommandList} and
 * {@link org.dellroad.stuff.schema.SpringSQLSchemaUpdate SpringSQLSchemaUpdate}, respectively.
 *
 * <p>
 * This package also implements the <code>&lt;dellroad-stuff:post-completion&gt;</code> custom Spring XML element.
 *
 * @see org.dellroad.stuff.schema.SQLCommandList
 * @see org.dellroad.stuff.schema.SpringSQLSchemaUpdate
 * @see org.dellroad.stuff.spring.PostCompletionSupport
 * @see <a href="http://www.springframework.org/">Spring Framework</a>
 */
package org.dellroad.stuff.spring;
